Bug 888328 - Unable to delete service endpoint in keystone
Unable to delete service endpoint in keystone
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: snapshot2
: 2.1
Assigned To: Alan Pevec
Nir Magnezi
: Triaged
: 888701 (view as bug list)
Depends On:
Blocks: 857290
  Show dependency treegraph
 
Reported: 2012-12-18 08:56 EST by Martin Magr
Modified: 2013-02-12 12:50 EST (History)
3 users (show)

See Also:
Fixed In Version: openstack-keystone-2012.2.1-2.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-12 12:50:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1019475 None None None Never

  None (edit)
Description Martin Magr 2012-12-18 08:56:55 EST
Description of problem:
[para@virtual-rhel-beta ~(keystone_admin)]$ keystone endpoint-delete 7d6cec22e05b4777b485464d36fa12e5
No handlers could be found for logger "keystoneclient.v2_0.client"
Authorization Failed: An unexpected error prevented the server from fulfilling your request. 'NoneType' object has no attribute 'replace' (HTTP 500)

Version-Release number of selected component (if applicable):
[para@virtual-rhel-beta ~(keystone_admin)]$ rpm -qa *keystone
openstack-keystone-2012.2.1-1.el6ost.noarch
python-keystone-2012.2.1-1.el6ost.noarch

How reproducible:
Always.

Steps to reproduce:
[para@virtual-rhel-beta ~(keystone_admin)]$ keystone service-create --name=glance --type=image --description="Glance Image Service"
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
| description |       Glance Image Service       |
|      id     | ac82850b67284a6f954dca3498a04bb4 |
|     name    |              glance              |
|     type    |              image               |
+-------------+----------------------------------+
[para@virtual-rhel-beta ~(keystone_admin)]$ keystone endpoint-create --service_id ac82850b67284a6f954dca3498a04bb4
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
|   adminurl  |                                  |
|      id     | 7d6cec22e05b4777b485464d36fa12e5 |
| internalurl |                                  |
|  publicurl  |                                  |
|    region   |            regionOne             |
|  service_id | ac82850b67284a6f954dca3498a04bb4 |
+-------------+----------------------------------+
[para@virtual-rhel-beta ~(keystone_admin)]$ keystone endpoint-delete 7d6cec22e05b4777b485464d36fa12e5
No handlers could be found for logger "keystoneclient.v2_0.client"
Authorization Failed: An unexpected error prevented the server from fulfilling your request. 'NoneType' object has no attribute 'replace' (HTTP 500)

Actual results:
Endpoint still exists.

Expected results:
Endpoint exists no more.

Additional info:
None
Comment 2 Alan Pevec 2012-12-18 18:59:31 EST
Upstream fix to be backported:
 https://github.com/openstack/keystone/commit/f9a9e7f3278a3cf461acad4d688a4868c2f7ac94
Comment 3 Alan Pevec 2012-12-20 10:26:34 EST
*** Bug 888701 has been marked as a duplicate of this bug. ***
Comment 6 Nir Magnezi 2013-01-31 08:06:06 EST
Verified With: openstack-keystone-2012.2.1-2.el6ost

$ keystone endpoint-create --service_id b349c6a536294ada8cec49767006e72c
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
|   adminurl  |                                  |
|      id     | fd2671daa2644733a32e7bd26396e801 |
| internalurl |                                  |
|  publicurl  |                                  |
|    region   |            regionOne             |
|  service_id | b349c6a536294ada8cec49767006e72c |
+-------------+----------------------------------+
$ keystone endpoint-delete fd2671daa2644733a32e7bd26396e801
Endpoint has been deleted.
Comment 8 errata-xmlrpc 2013-02-12 12:50:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0253.html

Note You need to log in before you can comment on or make changes to this bug.